<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>PPII: Progetto Programmazione II - Gavioli Federico</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">PPII
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generato da Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Cerca');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li class="current"><a href="index.html"><span>Pagina&#160;Principale</span></a></li>
      <li><a href="annotated.html"><span>Classi</span></a></li>
      <li><a href="files.html"><span>File</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Cerca" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">Progetto Programmazione II - Gavioli Federico </div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><h1><a class="anchor" id="sez_intro"></a>
Introduzione</h1>
<p>Questo documento è molto suus</p>
<h1><a class="anchor" id="sez_prog"></a>
Il progetto</h1>
<p>Il progetto consiste in un videogioco per sistemi operativi Linux, realizzato con le librerie grafiche Allegro. Il gioco si basa sullo scorrimento orizzontale, prendendo elementi da giochi come Super Mario o Nidhogg, ma rivisitandoli e semplificandoli per adattarli ad un progetto universitario.</p>
<h1><a class="anchor" id="sez_moduli"></a>
I moduli</h1>
<p>La dimensione del progetto non ha permesso lo sviluppo su un solo file, quindi il codice sarà diviso nei diversi moduli (con rispettivi file).</p>
<h2><a class="anchor" id="mod_main"></a>
- Modulo principale</h2>
<p>Files: <a class="el" href="main_8cc.html">main.cc</a></p>
<p>Il modulo principale dell'applicazione, coordina tutti gli altri moduli sottostanti.</p>
<h2><a class="anchor" id="mod_init"></a>
- Gestione inizializzazioni Allegro</h2>
<p>Files: <a class="el" href="init_8cc.html">init.cc</a> - <a class="el" href="init_8h.html">init.h</a></p>
<p>Questo modulo si occupa di caricare gli "Addon" necessari al funzionamento delle librerie Allegro.</p>
<h2><a class="anchor" id="mod_io"></a>
- Gestione I/O su file</h2>
<p>Files: <a class="el" href="fileIO_8cc.html">fileIO.cc</a> - <a class="el" href="fileIO_8h.html">fileIO.h</a></p>
<p>Questo modulo si occupa di caricare tutti i file necessari al funzionamento grafico e di statistica del gioco. Questo comprende: immagini varie di gioco, file dei punteggi.</p>
<h2><a class="anchor" id="mod_dati"></a>
- Gestione dati di funzionamento</h2>
<p>Files: <a class="el" href="dati_8cc.html">dati.cc</a> - <a class="el" href="dati_8h.html">dati.h</a></p>
<p>Questo modulo si occupa di eseguire operazioni sui dati di gioco più importanti, che comprende: inizializzazione, generazione di nemici e oggetti, collision detection e logica applicativa.</p>
<h2><a class="anchor" id="mod_schermo"></a>
- Gestione interfaccia grafica</h2>
<p>Files: <a class="el" href="grafica_8cc.html">grafica.cc</a> - <a class="el" href="grafica_8h.html">grafica.h</a></p>
<p>Questo modulo si occupa di gestire diverse stampe e disegni a schermo, dall'introduzione, alla schermata di gioco, ai punteggi migliori, alla lettura del nome per la registrazione del punteggio. Il modulo è in stretto legame con <a class="el" href="dati_8h.html">dati.h</a>, il modulo da cui vengono estratte le informazioni da mandare in stampa.</p>
<h2><a class="anchor" id="mod_eventi"></a>
- Gestione eventi di gioco e timer</h2>
<p>Files: <a class="el" href="eventi_8cc.html">eventi.cc</a> - <a class="el" href="eventi_8h.html">eventi.h</a></p>
<p>Questo modulo si occupa di registrare le sorgenti di ogni evento (timer e tastiera) e gestire la modalità di pausa. Lo smistamento degli eventi con chiamate alle funzioni interessate è delegato al modulo <a class="el" href="main_8cc.html">main.cc</a>.</p>
<h2><a class="anchor" id="mod_movimento"></a>
- Gestione movimento</h2>
<p>Files: <a class="el" href="movimento_8cc.html">movimento.cc</a> - <a class="el" href="movimento_8h.html">movimento.h</a></p>
<p>Questo modulo si occupa di gestire il movimento, che comprende: aggiornamento velocità di movimento, avanzamento sull'asse x (movimento) e sull'asse y (salto). In questo modulo si sfruttano funzioni di "collision detection", che vengono richiamate direttamente da <a class="el" href="dati_8h.html">dati.h</a>.</p>
<h2><a class="anchor" id="mod_ia"></a>
- Gestione Intelligenza Artificiale (Termine non troppo preciso ;D)</h2>
<p>Files: <a class="el" href="ia_8cc.html">ia.cc</a> - <a class="el" href="ia_8h.html">ia.h</a></p>
<p>Anche se non si può parlare di una vera intelligenza artificiale, ma più di una serie di direttive, questo modulo si occupa di decidere, a volte aggiungendo il fattore casuale per variegare il gioco sul lungo termine, le azioni di ogni personaggio. Ogni personaggio è caratterizzato, ed ha un suo set di mosse personalizzato.</p>
<h2><a class="anchor" id="mod_statistiche"></a>
- Gestione punteggi e statistiche</h2>
<p>Files: <a class="el" href="statistiche_8cc.html">statistiche.cc</a> - <a class="el" href="statistiche_8h.html">statistiche.h</a></p>
<p>Questo modulo si occupa di gestire le strutture dati necessarie per la registrazione delle statistiche di gioco, e successivamente, del calcolo dei punteggi finali della partita.</p>
<h1><a class="anchor" id="sez_scopo"></a>
Scopo del gioco</h1>
<p>Lo scopo del gioco è sopravvivere per il maggior tempo possibile, cercando di eliminare tutti i nemici.</p>
<h1><a class="anchor" id="sez_comandi"></a>
Comandi</h1>
<p>A - D Movimento a Sinistra - Destra</p>
<p>J - K Attacco ravvicinato - a distanza</p>
<p>SPAZIO Salto</p>
<p>INVIO Pausa</p>
<p>ESC Interrompi la partita</p>
<h1><a class="anchor" id="sez_nemici"></a>
Tipi di nemici</h1>
<p>Inseguitore Insegue il personaggio, e quando arriva a gittata, ci salta sopra. Si muove molto velocemente, ma non ha armi.</p>
<p>Spadaccino Corre verso il personaggio, e quando arriva a gittata, cerca di colpirlo con la sua spada. Si muove alla velocità del personaggio.</p>
<p>Tank Si muove verso il personaggio, quando arriva a gittata cerca di colpirlo con la sua spada. Infligge il doppio del danno, e possiede il doppio della vita, ma è molto lento.</p>
<h1><a class="anchor" id="sez_punt"></a>
Punteggio</h1>
<p>Il punteggio è calcolato in base ai danni ricevuti, al numero di nemici colpiti, e alla durata della partita. </p>
</div></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generato Mer 6 Set 2017 17:21:16 per PPII da &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.11
</small></address>
</body>
</html>
